summaryrefslogtreecommitdiffstats
path: root/java/run-java-tests
diff options
context:
space:
mode:
Diffstat (limited to 'java/run-java-tests')
-rwxr-xr-xjava/run-java-tests24
1 files changed, 24 insertions, 0 deletions
diff --git a/java/run-java-tests b/java/run-java-tests
new file mode 100755
index 00000000..84471600
--- /dev/null
+++ b/java/run-java-tests
@@ -0,0 +1,24 @@
+#!/bin/sh -
+# libguestfs Perl bindings
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+set -e
+
+for f in t/*.class; do
+ classname=$(basename $f .class)
+ $JAVA -Djava.library.path=.libs $classname
+done \ No newline at end of file